summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBob Igo <bob@stormlogic.com>2009-07-28 18:15:43 (GMT)
committerBob Igo <bob@stormlogic.com>2009-07-28 18:15:43 (GMT)
commit1656e7b6111798331fb834bf7d440e36b73425ee (patch)
treee0f6f441bd783df76d0f7ccc7b56b1d2910a6c4a
parentecaea0d90a7be8a46472924094404eb8626a9a02 (diff)
downloadlinhes_pkgbuild-1656e7b6111798331fb834bf7d440e36b73425ee.zip
linhes_pkgbuild-1656e7b6111798331fb834bf7d440e36b73425ee.tar.gz
linhes_pkgbuild-1656e7b6111798331fb834bf7d440e36b73425ee.tar.bz2
gnuplot 4.2.0, used in graphload
-rw-r--r--abs/extra-testing/gnuplot/PKGBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/abs/extra-testing/gnuplot/PKGBUILD b/abs/extra-testing/gnuplot/PKGBUILD
new file mode 100644
index 0000000..34d32ac
--- /dev/null
+++ b/abs/extra-testing/gnuplot/PKGBUILD
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: damir <damir@archlinux.org>
+# Contributor: Niklas Volbers <mithrandir42@web.de>
+
+pkgname=gnuplot
+pkgver=4.2.0
+pkgrel=1
+pkgdesc="Command-line driven interactive data and function plotting utility"
+url="http://www.gnuplot.info"
+depends=('gd>=2.0.29' 'wxgtk')
+makedepends=('texinfo')
+license='custom'
+arch=('i686')
+source=(http://download.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.gz)
+md5sums=(f688a578ddb4c376fd7d91ce444a0745)
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --datadir=/usr/share \
+ --libexecdir=/usr/bin \
+ --with-readline=gnu \
+ --enable-history-file \
+ --with-x
+
+ make X11_DRIVER_DIR='/usr/bin' || return 1
+
+ make DESTDIR=$startdir/pkg \
+ libexecdir=/usr/bin \
+ pkglibexecdir=/usr/bin install
+
+ install -D $startdir/src/$pkgname-$pkgver/Copyright $startdir/pkg/usr/share/licenses/custom/gnuplot/Copyright
+}